Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
RHash Struct Reference

`#include <internal.h>`

## Data Fields
struct RBasic | basic
union {
st_table * st
struct ar_table_struct * ar
} | as
const VALUE | ifnone
union {
ar_hint_t ary [RHASH_AR_TABLE_MAX_SIZE]
VALUE word
} | ar_hint
union {
st_table * st
struct ar_table_struct * ar
} | as
union {
ar_hint_t ary [8]
VALUE word
} | ar_hint

## Detailed Description

Definition at line 887 of file internal.h.

## Field Documentation

## ◆ ar

struct ar_table_struct* RHash::ar

Definition at line 891 of file internal.h.

## ◆ ar_hint [1/2]

union { ... } RHash::ar_hint

## ◆ ar_hint [2/2]

union { ... } RHash::ar_hint

## ◆ ary

ar_hint_t RHash::ary[8]

Definition at line 895 of file internal.h.

## ◆ as [1/2]

union { ... } RHash::as

## ◆ as [2/2]

union { ... } RHash::as

## ◆ basic

struct RBasic RHash::basic

Definition at line 888 of file internal.h.

## ◆ ifnone

const VALUE RHash::ifnone

Definition at line 893 of file internal.h.

## ◆ st

st_table* RHash::st

Definition at line 890 of file internal.h.

## ◆ word

VALUE RHash::word

Definition at line 896 of file internal.h.

The documentation for this struct was generated from the following files:

- internal.h
- /msysdev/ruby/src/build-x86_64-pc-msys/include/ruby-2.7.0/x86_64-msys/rb_mjit_min_header-2.7.0.h